Готов ли «Ubuntu Server 14.04.3 LTS + LAMP» к работе? [закрыто]

Установка свежей копии Ubuntu Server 14.04.3 LTS , а затем:

$ sudo apt-get update
$ sudo apt-get upgrade
$ sudo apt-get install lamp-server^

Является ли эта конфигурация готовой к производству в терминах безопасность и стабильность ?

0
задан 20.08.2015, 02:29

4 ответа

Необходимо сделать 2 вещи сами.

  • настраивают Apache к Вашим персональным требованиям. Apache идет с веб-страницей, которая показывает "ItWorks!" таким образом, необходимо настроить по крайней мере 1 виртуальный хост в ./sites-enabled/
  • , настраивают MySQL к персональным требованиям. MySQL не имеет никаких пользовательских баз данных, таким образом, необходимо настроить это.

Оба могли быть проблемой относительно безопасности: если Вы портите виртуальный хост, возможно использовать Вашу машину.

, Но когда дело доходит до этой установки, являющейся безопасным и стабильным из поля, ответ является плоскостью "да".

2
ответ дан 01.10.2019, 13:57

Нет. Удостоверьтесь, что использовали dist-upgrade так, чтобы Вы получили последнее ядро. И перезагрузка после обновления ядра. Затем настройте что-то, чтобы продолжить получать обновления системы защиты и перезагрузки после обновлений ядра, например, unattended-upgrades пакет. Для устойчивости все еще необходимо добавить решения по контролю и решения для резервного копирования, а также воспроизводимость развертывания и тестирование обновления.

1
ответ дан 01.10.2019, 13:57

Нет. Ваше приложение и его использование определят, стабильно ли это. Если Ваше приложение является больше, чем простой веб-сайт с небольшим требованием к памяти затем, Вы, возможно, должны настроить свой apache2, mysql и php настройки, чтобы получить его стабильный, например, увеличить php память, apache2 процессы, установить кэш и т.д.

0
ответ дан 01.10.2019, 13:57

Я действительно участвовал в проекте, где Сервер Ubuntu 12.04 LTS, LAMP и Joomla использовался. Это - твердая среда, но как любое программное обеспечение, особенно стоящие с сетью приложения, Вам всегда нужно к , следуют объявлениям безопасности и загружают любой соответствующие патчи .

существует список рассылки для Ubuntu для получения предупреждений системы безопасности и объявлений:

https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

И существует, конечно, полезная информация о родственном сайте Serverfault:

Использование тег безопасность и Ваш выбор, т.е. [security] mysql для вопросов, относящихся к Apache/MySQL.

0
ответ дан 01.10.2019, 13:57

Теги

Похожие вопросы